/* 
 * File:   main.c
 * Author: Cristian Fatu
 *
 * Created on March 22, 2016, 14:59 
 */

#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#include <sys/attribs.h>
#include "config.h"

#include "lcd.h"
#include "btn.h"
#include "swt.h"
#include "led.h"


#pragma config JTAGEN = OFF     
#pragma config FWDTEN = OFF      


/* ------------------------------------------------------------ */
/*						Configuration Bits		                */
/* ------------------------------------------------------------ */


// Device Config Bits in  DEVCFG1:	
#pragma config FNOSC =	FRCPLL
#pragma config FSOSCEN =	OFF
#pragma config POSCMOD =	EC
#pragma config OSCIOFNC =	ON
#pragma config FPBDIV =     DIV_1

// Device Config Bits in  DEVCFG2:	
#pragma config FPLLIDIV =	DIV_2
#pragma config FPLLMUL =	MUL_20
#pragma config FPLLODIV =	DIV_1

 #define _XTAL_FREQ 8000000     // 

int main(int argc, char** argv) 
{ 

    int i, a, b, timer;
    
    LED_Init();
    SWT_Init();
    SSD_Init();
    BTN_Init();
    
    while(1)
    {
            ///sinu kood siia!
    LED_SetGroupValue(SWT_GetGroupValue());
    a = SWT_GetGroupValue();
    SSD_WriteDigitsGrouped(a, 0);
    
    
    if(BTN_GetValue('c')){
        timer = SWT_GetGroupValue();
        b = 1;
    }
    
    if(b){
        do{
            timer -= 1;
            SSD_WriteDigitsGrouped(timer, 0);
            DelayAprox10Us(100000);
        }while(timer>0);
        b = 0;
        RGBLED_Init();
        for(i = 0; i<5;i++){
            RGBLED_SetValue(10, 155, 10);
            DelayAprox10Us(5000);
            RGBLED_SetValue(0, 0, 0);
            DelayAprox10Us(5000);
        }
        RGBLED_Close();
    }
    
    
        
    }
    return (1);
}


